import Service from "../Service";
import WalletEvent, { WalletEvents } from "./WalletEvent";
export default class EventService extends Service {
    private events;
    private emitters;
    constructor(events: typeof WalletEvents);
    private registerEvents;
    private getEventEmitter;
    on<E extends keyof WalletEvent>(event: E, listener: WalletEvent[E]): void;
    emit<E extends keyof WalletEvent>(event: E, ...args: Parameters<WalletEvent[E]>): boolean;
    eventNames(): (keyof WalletEvent | string)[];
}
